HostingDelivery
List TraceMail mailouts
GET
/api/delivery/tracemail/mailoutsReturns TraceMail log entries filtered by account, domain, dates, addresses, subject, collection, status or error category.
Authorization
api_key X-Api-Token<token>
API token used to authenticate requests.
In: header
Query Parameters
account?string
domain?string
start_date?string
end_date?string
from?string
to?string
subject?string
auth_protocol?string
Authentication protocol filter.
smtp= SMTP traffic.api= API traffic.
Values
smtp | apicollection?string
TraceMail log collection to query.
worked= processed mailout logs.queued= queued mailout logs.errors= mailout error logs.
Default
workedValues worked | queued | errorsstatus?string
Mailout delivery status filter.
delivered= message delivered.suppressed= message suppressed.bounce= delivery bounce.
Values
delivered | suppressed | bounceerror_category?string
Mailout error category filter.
auth= authentication error category.limits= sending-limit error category.generic= generic error category.
Values
auth | limits | genericper?string
Default
30page?string
Default
1customer_code?string
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/delivery/tracemail/mailouts" \ -H "X-Api-Token: YOUR_API_TOKEN" \ -H "Accept: application/json"{
"resources": [
{
"data": "string"
}
],
"pagination": {}
}{
"message": "Unauthorized",
"errors": []
}{
"message": "Forbidden",
"errors": []
}{
"message": "Not found",
"errors": []
}{
"message": "Validation failed",
"errors": [
{
"field": "name",
"description": "is not valid"
}
]
}